# Plutonium framework API: pu::ui::Overlay Class Reference

pu::ui::Overlay Class Reference

`#include <ui_Overlay.hpp>`

Inheritance diagram for pu::ui::Overlay:

## Public Member Functions

| Overlay (const i32 x, const i32 y, const i32 width, const i32 height, const Color bg_clr, const bool round=true, const i32 radius=DefaultRadius)
void | SetRadius (const i32 radius)
i32 | GetRadius ()
virtual void | OnPreRender (render::Renderer::Ref &drawer)
virtual void | OnPostRender (render::Renderer::Ref &drawer)
bool | Render (render::Renderer::Ref &drawer)
void | NotifyEnding (const bool ending)
Public Member Functions inherited from pu::ui::Container
| Container (const i32 x, const i32 y, const i32 width, const i32 height)
void | Add (elm::Element::Ref elem)
elm::Element::Ref & | At (const i32 idx)
bool | Has (elm::Element::Ref &elem)
void | Clear ()
size_t | GetCount ()
void | SetX (const i32 x)
i32 | GetX ()
void | SetY (const i32 y)
i32 | GetY ()
void | SetWidth (const i32 width)
i32 | GetWidth ()
void | SetHeight (const i32 height)
i32 | GetHeight ()
void | PreRender ()

## Static Public Attributes

static constexpr i32 | DefaultRadius = 25
static constexpr i32 | MaxFadeAlpha = 200
static constexpr i32 | FadeAlphaVariation = 25

## Additional Inherited Members

Protected Attributes inherited from pu::ui::Container
i32 | x
i32 | y
i32 | w
i32 | h
std::vector< elm::Element::Ref > | elems

## Constructor & Destructor Documentation

## Overlay()

pu::ui::Overlay::Overlay | ( | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height,
|  | const Color | bg_clr,
|  | const bool | round = `true`,
|  | const i32 | radius = `DefaultRadius`
| ) |  |

inline

## Member Function Documentation

## GetRadius()

i32 pu::ui::Overlay::GetRadius | ( |  | ) |

inline

## NotifyEnding()

void pu::ui::Overlay::NotifyEnding | ( | const bool | ending | ) |

inline

## OnPostRender()

virtual void pu::ui::Overlay::OnPostRender | ( | render::Renderer::Ref & | drawer | ) |

inlinevirtual

Reimplemented in pu::ui::extras::Toast.

## OnPreRender()

virtual void pu::ui::Overlay::OnPreRender | ( | render::Renderer::Ref & | drawer | ) |

inlinevirtual

Reimplemented in pu::ui::extras::Toast.

## Render()

bool pu::ui::Overlay::Render | ( | render::Renderer::Ref & | drawer | ) |

## SetRadius()

void pu::ui::Overlay::SetRadius | ( | const i32 | radius | ) |

inline

## Member Data Documentation

## DefaultRadius

constexpr i32 pu::ui::Overlay::DefaultRadius = 25

staticconstexpr

## FadeAlphaVariation

constexpr i32 pu::ui::Overlay::FadeAlphaVariation = 25

staticconstexpr

## MaxFadeAlpha

constexpr i32 pu::ui::Overlay::MaxFadeAlpha = 200

staticconstexpr

The documentation for this class was generated from the following file:

- Plutonium/include/pu/ui/ui_Overlay.hpp